#
# spec file for package perl-CPANPLUS
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPANPLUS
Version:        0.9176
Release:        1.1
%define cpan_name CPANPLUS
Summary:        API & CLI access to the CPAN mirrors
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPANPLUS/
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         perl-CPANPLUS-cpanp-run-perl-add_missing_shebang.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Extract) >= 0.16
BuildRequires:  perl(Archive::Tar) >= 1.23
BuildRequires:  perl(Digest::SHA) >= 0.0
BuildRequires:  perl(ExtUtils::Install) >= 1.42
BuildRequires:  perl(File::Fetch) >= 0.15_02
BuildRequires:  perl(IO::Zlib) >= 1.04
BuildRequires:  perl(IPC::Cmd) >= 0.36
BuildRequires:  perl(Locale::Maketext::Simple) >= 0.01
BuildRequires:  perl(Log::Message) >= 0.01
BuildRequires:  perl(Module::CoreList) >= 2.22
BuildRequires:  perl(Module::Load) >= 0.10
BuildRequires:  perl(Module::Load::Conditional) >= 0.50
BuildRequires:  perl(Module::Loaded) >= 0.01
BuildRequires:  perl(Module::Pluggable) >= 2.4
BuildRequires:  perl(Module::Signature) >= 0.06
BuildRequires:  perl(Object::Accessor) >= 0.44
BuildRequires:  perl(Package::Constants) >= 0.01
BuildRequires:  perl(Params::Check) >= 0.36
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4200
BuildRequires:  perl(Term::UI) >= 0.18
BuildRequires:  perl(Test::Harness) >= 2.62
BuildRequires:  perl(version) >= 0.77
Requires:       perl(Archive::Extract) >= 0.16
Requires:       perl(Archive::Tar) >= 1.23
Requires:       perl(Digest::SHA) >= 0.0
Requires:       perl(ExtUtils::Install) >= 1.42
Requires:       perl(File::Fetch) >= 0.15_02
Requires:       perl(IO::Zlib) >= 1.04
Requires:       perl(IPC::Cmd) >= 0.36
Requires:       perl(Locale::Maketext::Simple) >= 0.01
Requires:       perl(Log::Message) >= 0.01
Requires:       perl(Module::CoreList) >= 2.22
Requires:       perl(Module::Load) >= 0.10
Requires:       perl(Module::Load::Conditional) >= 0.50
Requires:       perl(Module::Loaded) >= 0.01
Requires:       perl(Module::Pluggable) >= 2.4
Requires:       perl(Module::Signature) >= 0.06
Requires:       perl(Object::Accessor) >= 0.44
Requires:       perl(Package::Constants) >= 0.01
Requires:       perl(Params::Check) >= 0.36
Requires:       perl(Parse::CPAN::Meta) >= 1.4200
Requires:       perl(Term::UI) >= 0.18
Requires:       perl(Test::Harness) >= 2.62
Requires:       perl(version) >= 0.77
%{perl_requires}

%description
The 'CPANPLUS' library is an API to the 'CPAN' mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
%patch0 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Fri Jun  8 2018 coolo@suse.com
- updated to 0.9176
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9176      Wed Jun  6 08:38:32 BST 2018
  * Fix the no_index issue for bundled directory
* Tue May 22 2018 coolo@suse.com
- updated to 0.9174
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9174      Mon May 21 20:28:36 BST 2018
  * Fix circular dependency on CPANPLUS::Dist::Build when
    'prefer_makefile' is set to 0
* Tue Oct 10 2017 coolo@suse.com
- updated to 0.9172
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9172      Mon Oct  9 12:14:38 BST 2017
  * Replace File'Fetch with File::Fetch [rt.cpan.org #123221]
* Thu Sep 14 2017 coolo@suse.com
- updated to 0.9170
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9170      Wed Sep 13 19:40:37 BST 2017
  * Fix RT#122849 problems with parse_module()
* Tue May 16 2017 coolo@suse.com
- updated to 0.9168
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9168      Sun May 14 14:17:26 BST 2017
  * fix typo in YAML_BACKEND environment variable
  * Add support for meta x_use_unsafe_inc
* Thu Apr 13 2017 coolo@suse.com
- updated to 0.9166
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9166      Wed Apr 12 09:37:20 BST 2017
  * make Autoflush do STDOUT and STDERR
  * switch from PERLWRAPPER to Autoflush
* Fri Feb 17 2017 coolo@suse.com
- updated to 0.9164
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9164      Thu Feb 16 12:05:02 GMT 2017
  * Set env var PERL_USE_UNSAFE_INC if required [rt.cpan.org #120227]
  * Handle @INC without 'dot' scenario in Makefile.PL
  * Fixed versiononly process for scripts to only run for when we were in core
  0.9162      Sun Jan 15 11:23:10 GMT 2017
  * Fix RT#116479 test failure with v5.24.1-RC*
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.9162
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
* Sat May 28 2016 coolo@suse.com
- updated to 0.9160
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9160      Wed May 18 21:27:41 BST 2016
  * Add new bundled module to the MANIFEST *doh*
  0.9158      Wed May 18 21:08:19 BST 2016
  * Added Test2 to the reported toolchain in test reporting
* Fri Oct 16 2015 coolo@suse.com
- updated to 0.9156
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9156      Thu Oct 15 13:29:38 BST 2015
  * Handle dists that have numerics in last part of distname
  * Compartmentalise build dirs like CPANpm does
* Sat Aug 29 2015 coolo@suse.com
- updated to 0.9154
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
  0.9154      Sat Jul  4 10:39:23 BST 2015
  * Fixed an issue with @INC mangling in CPANPLUS process
  * POD fixes courtesy of Alexey Molchanov
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.9152
  see /usr/share/doc/packages/perl-CPANPLUS/ChangeLog
* Sat Apr 28 2012 pascal.bleser@opensuse.org
- update to 0.9128; cumulated changes from 0.9120:
  * silenced annoying warnings related to older perls and the progress
    indicators
  * speed enhancements to module indexing
  * save the history between invocations of the shell
  * added support for adding blib/script to PATH
  * don't spawn a process to check whether perl version prereqs are satisfied
  * resolved a regression with dev '_' version numbers since 0.9109
* Tue Mar  6 2012 coolo@suse.com
- updated to 0.9120
  * Resolved a regression with NA test reports
* Fri Feb 24 2012 coolo@suse.com
- updated to 0.9119
  * Added progress indicators for indexing when
  'verbose' is set, [RT#75233], contributed by
  reisub
* Mon Feb 20 2012 coolo@suse.com
- updated to 0.9118
  * Test reporting enhancements
* Sat Feb 11 2012 coolo@suse.com
- updated to 0.9116
  * add NAME headings in modules with POD, Debian
    Lintian fixes, http://bugs.debian.org/65045
  * Implement reload command in the shell
* Thu Dec 22 2011 pascal.bleser@opensuse.org
- update to 0.9115: only build related changes (also in 0.9114)
* Fri Dec  9 2011 pascal.bleser@opensuse.org
- add recommends for optional SQLite backend
- update to 0.9113:
  * add more detail and reason for NA to NA reports
* Fri Nov 11 2011 pascal.bleser@opensuse.org
- update to 0.9112:
  * the 'perlwrapper' is no longer required
* Mon Sep 19 2011 coolo@suse.com
- updated to 0.9111
  * Enhance CPANPLUS::Dist::MM Makefile/Makefile.PL
  age checking code to resolve some issues.
  * CPANPLUS::Dist::MM now ensures that Makefile.PL
  is older than any generated Makefile
  * When resolving dependencies ignore any @INC-hook
  when finding installed modules
  * Updated the META.yml in the dist to specify
  'dynamic_config' as true.
  * Fix support for v-strings and x.y.z versions with v5.8.4
  * Add support for v-strings and x.y.z versions, using the version module.
  * Resolve [rt.cpan.org #69420] "type checking for CPANPLUS::Backend::RV::new is incorrect"
  * Resolve [rt.cpan.org #69203] "custom sources ignores timeout config option"
  * synchronisation with blead to remove profanity
  from the source. No other changes.
* Tue May 31 2011 coolo@novell.com
- updated to 0.9105
  * remove any pointers to the sourceforge mailing list
  * point to the github repo instead
  * Only enable custom sources in the tests where it is actually
    required for testing
  * Added support to parse_module() for 'Module/Type.pm' parsing
* Thu Apr 21 2011 coolo@opensuse.org
- updated to 0.9104
  * Force Parse::CPAN::Meta to use a sane default for JSON backend
  * Make sure that test failures aren't reported twice to the terminal
  * Fixed the logic not sending NA reports when
  'perl' is expressed as a prereq
* Fri Apr  8 2011 coolo@novell.com
- initial package 0.9103
  * created by cpanspec 1.78.04
